Attribute VB_Name = "swf_Config"
' module: swf - handling
' McT / 04.03.03
' checked ~ 1.2

Option Explicit

Public fontXScale#, useDocFont&

Public Sub readCFG(errTxt$)
' *************
' -> position setup
' *************

    Dim b$
    On Error GoTo noConfig

    Open App.Path + "\swFinish.txt" For Input As 1

        ' -> skip header
        Line Input #1, b
        Line Input #1, b

        ' -> format base point
        Input #1, b, drwPosX(0)
        Input #1, b, drwPosX(1)
        Input #1, b, drwPosX(2)
        Input #1, b, drwPosX(3)
        Input #1, b, drwPosX(4)
        Input #1, b, drwPosY(0)
    
        ' -> distances
        Input #1, b, d0
        Input #1, b, d1
        Input #1, b, d2
        Input #1, b, d3
        Input #1, b, d4
        Input #1, b, d5
        
        ' -> font special
        Input #1, b, useDocFont&
        Input #1, b, fontXScale
        
        ' -> sfs font
        Input #1, b, sFontName
        Input #1, b, sFontSize
        
        ' -> note font
        Input #1, b, bFontName
        Input #1, b, bFontSize

    Close #1
    
    errTxt = ""
    Exit Sub

noConfig:

    errTxt = "Konfiguration >swFinish.txt< nicht gefunden oder fehlerhaft !"

End Sub

Public Sub initForm()
' *************
' -> defaults setup
' *************

    Dim def_maxRoughStr$, def_methodeStr$, def_sfsType&
    
    ' -> standard defaults
    def_sfsType = 1
    def_maxRoughStr = "1,6"
    def_methodeStr = ""
    
    ' -> standard defaults
    If sfsList(0).id <> StandardID Then
        sfsList(0).id = StandardID
        sfsList(0).maxRoughStr = def_maxRoughStr
        sfsList(0).sfsType = def_sfsType
        sfsList(0).methodestr = def_methodeStr
    End If
    
    ' -> type list defaults
    With swf_MainForm.stdSFSSymbol
        .Clear
        .AddItem "Grundlegend"
        .AddItem "Spanend"
        .AddItem "Roh"
        .ListIndex = sfsList(0).sfsType
    End With
    
    ' -> value list defaults
    With swf_MainForm.stdSFSRough
        .Clear
        .AddItem ""
        .AddItem "0,4"
        .AddItem "0,8"
        .AddItem "1,6"
        .AddItem "3,2"
        .AddItem "6,4"
        .Text = sfsList(0).maxRoughStr
    End With
  
    ' -> methode list defaults
    With swf_MainForm.stdSFSMet
        .Clear
        .AddItem ""
        .AddItem "geschliffen"
        .AddItem "poliert"
        .Text = sfsList(0).methodestr
    End With
 


End Sub

