VERSION 5.00
Begin VB.Form swf_MainForm 
   BackColor       =   &H00B0A0A0&
   Caption         =   "Oberflchen - Assisten"
   ClientHeight    =   2565
   ClientLeft      =   7785
   ClientTop       =   6525
   ClientWidth     =   4155
   Icon            =   "swf_MainForm.frx":0000
   LinkTopic       =   "Form2"
   ScaleHeight     =   2565
   ScaleWidth      =   4155
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.ComboBox stdSFSMet 
      BackColor       =   &H00DBE2B4&
      Height          =   315
      Left            =   120
      TabIndex        =   8
      Text            =   "-"
      Top             =   1200
      Width           =   2175
   End
   Begin VB.PictureBox txtCalc 
      BeginProperty Font 
         Name            =   "ISOCP"
         Size            =   14.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1920
      ScaleHeight     =   3.44
      ScaleMode       =   6  'Millimeter
      ScaleWidth      =   5.556
      TabIndex        =   5
      Top             =   2040
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.PictureBox sfsPic 
      Height          =   400
      Left            =   2400
      Picture         =   "swf_MainForm.frx":09CA
      ScaleHeight     =   345
      ScaleWidth      =   345
      TabIndex        =   4
      Top             =   360
      Width           =   400
   End
   Begin VB.CommandButton cmd_Cancel 
      Caption         =   "Abbruch"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   2040
      Width           =   975
   End
   Begin VB.CommandButton cmd_Ok 
      Caption         =   "Ok"
      Height          =   375
      Left            =   3120
      TabIndex        =   2
      Top             =   2040
      Width           =   855
   End
   Begin VB.ComboBox stdSFSRough 
      BackColor       =   &H00DBE2B4&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   3000
      TabIndex        =   1
      Text            =   "-"
      Top             =   360
      Width           =   975
   End
   Begin VB.ComboBox stdSFSSymbol 
      BackColor       =   &H00DBE2B4&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   120
      TabIndex        =   0
      Text            =   "-"
      Top             =   360
      Width           =   2175
   End
   Begin VB.Label Label4 
      BackStyle       =   0  'Transparent
      Caption         =   "V1.2 / McT"
      ForeColor       =   &H00B3B3B3&
      Height          =   255
      Left            =   3000
      TabIndex        =   10
      Top             =   1320
      Width           =   975
   End
   Begin VB.Label Label3 
      BackStyle       =   0  'Transparent
      Caption         =   "max. Rauheit"
      Height          =   255
      Left            =   3000
      TabIndex        =   9
      Top             =   120
      Width           =   1095
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "Methode"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   960
      Width           =   855
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Symbol"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   615
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00000000&
      X1              =   120
      X2              =   3960
      Y1              =   1800
      Y2              =   1800
   End
End
Attribute VB_Name = "swf_MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' form: swf - mainwin
' McT / 04.03.03
' checked ~ 1.2

Option Explicit

' *********************************************
' vars
' *********************************************

Private lastIndex&

' *********************************************
' main
' *********************************************

Private Sub Form_Load()
' *************
' -> start
' *************
    Dim errTxt$
    ' -> init form
    setWinFlags hwnd
    
    ' -> load config
    readCFG errTxt
    If errTxt <> "" Then
        GEF.Raise errTxt, Caption, Icon
        shutDown
    End If
        
    ' -> init sw
    If Not initSW Then shutDown
    
    ' -> analyze drawing
    AnalyzeDrawing
    ' -> show form
    Show
    ' -> init form
    initForm
    
End Sub

Public Sub shutDown()
' *************
' -> end
' *************
    
    freeSW
    End
    
End Sub

' *********************************************
' user events
' *********************************************

Private Sub cmd_Ok_Click()
' *************
' -> let's start
' *************

    ' -> save data
    sfsList(0).sfsType = stdSFSSymbol.ListIndex
    sfsList(0).methodestr = stdSFSMet.Text
    sfsList(0).maxRoughStr = stdSFSRough.Text
    
    DoubleCheck2
    
    ' -> calc positions
    CalcPos
    
    ' -> hide
    Hide
    
    ' -> rem old symbols
    RemSymbols
    
    ' -> insert new symbols
    InsertSymbols
    
    ' -> rebuild ???
    drw.EditRebuild
    
    ' -> quit
    shutDown

End Sub

Private Sub cmd_Cancel_Click()
' *************
' -> cancel
' *************

    shutDown
    
End Sub

Private Sub stdSFSSymbol_click()
' *************
' -> update pic
' *************

    ' -> safety
    lastIndex = stdSFSSymbol.ListIndex
    
    ' -> decode pic file name
    Dim fileID$
    fileID = App.Path + "\symbol" + Format(lastIndex, "_00") + ".bmp"

    ' -> load pic
    On Error Resume Next
    sfsPic.Picture = LoadPicture(fileID)

End Sub

Private Sub stdSFSSymbol_Change()
' *************
' -> only list contens
' *************
    
    stdSFSSymbol.ListIndex = lastIndex

End Sub
