Attribute VB_Name = "vb_library"
' module: propman library
' McT / 27.11.02
' checked ~ v1.3

Option Explicit

' *********************************************
' api definition
' *********************************************

Private Declare Function SetWindowPos Lib "user32" (ByVal _
       hwnd As Long, ByVal hWndInsertAfter As Long, ByVal _
       x As Long, ByVal y As Long, ByVal cx As Long, ByVal _
       cy As Long, ByVal wFlags As Long) As Long

Private Declare Sub Sleep Lib "kernel32.dll" _
       (ByVal dwMilliseconds As Long)

Private Declare Function GetUserName Lib "advapi32.dll" _
        Alias "GetUserNameA" (ByVal lpBuffer As String, _
        nSize As Long) As Long

' *********************************************
' public
' *********************************************

Public Sub Delay(time_ms&)
' *************
' delay [ms]
' *************

    Sleep time_ms
    
End Sub

Public Sub setWinFlags(hwin)
' *************
' set flag >windows always on top<
' *************

    SetWindowPos hwin, -1, 0, 0, 0, 0, &H2 + &H1 ' flags: -1=TopMost / &H1=NoMove / &H2=NoSize
    
End Sub

Public Function getCurrentUser() As String
' *************
' gets current user
' *************

    Dim l&, Ergebnis&, Fehler&
    Dim user$, userName$, Puffer$
    user = Space(255)
    l = 255
    Ergebnis = GetUserName(user, l)
    If Ergebnis <> 0 Then
       userName = left(user, l - 1)
    End If
    getCurrentUser = UCase(Trim$(userName))
    
End Function

Public Function fileExists(file$) As Integer
' *************
' check file
' *************

    On Error Resume Next
    fileExists = (Dir$(file) <> "")
    If Err <> 0 Then fileExists = False
    
End Function

Public Function cutStr(str$, Optional left& = 0, Optional right& = 0) As String

' *************
' -> advanced >MID$< - function
' *************

    Dim size&
    size = Len(str)
    cutStr = str
    If size > (left + right) Then cutStr = Mid(str, 1 + left, size - left - right)
    
End Function
